<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Objetos Literales</title>
</head>

<body>
    <h1>Objetos Literales</h1>
    <script>
        let nombre = "Pedro";
        let edad = 25;

        const cliente = {
            nombre: nombre, 
            edad: edad,
            comprar: function(){
                console.log("Puedo comprar");
            }

        }
        console.log(cliente);
        console.log(cliente.comprar);

        const otroCliente = {
            nombre,
            edad,
            comprar(){
                console.log("Quiero un descuento");
            }                        

        }
        console.log(otroCliente);
        console.log(otroCliente.comprar);
        
    </script>
</body>
</html>